package com.anjun.supervision

import android.app.Application
import com.anjun.common.base.CommonBaseApp
import com.anjun.common.view.CommonViewApp
import com.anjun.core.tool.ToolApp
import com.anjun.feature.main.MainApp
import com.anjun.network.NetworkApp
import com.tencent.mmkv.MMKV

/**
 *
 * @Description
 * @Author melle
 * @CreateTime 2024/03/04 16:38:05
 */
class App:Application() {

    override fun onCreate() {
        super.onCreate()
        MMKV.initialize(this)
        MainApp.init(this)
        NetworkApp.init(this)
        ToolApp.init(this,BuildConfig.DEBUG)
        CommonBaseApp.init(this)
        CommonViewApp.init(this)
    }
}