package com.anjun.supervision

import android.annotation.SuppressLint
import android.widget.LinearLayout
import com.anjun.common.base.activity.AJBaseActivity
import com.anjun.supervision.databinding.ActivitySplashBinding
import com.anjun.data.main.UserMMKV
import com.anjun.service.main.MainProxy

@SuppressLint("CustomSplashScreen")
class SplashActivity : AJBaseActivity<ActivitySplashBinding>() {
    override fun ActivitySplashBinding.initBinding() {
        ActivitySplashBinding.inflate(layoutInflater,LinearLayout(this@SplashActivity),false)
        if (UserMMKV.token.isNotBlank()) {
            MainProxy.launchHomeActivity(this@SplashActivity)
        }else {
            MainProxy.launchLoginActivity(this@SplashActivity)
        }
        finish()
    }
}