package com.anjun.common.base.utils

import android.text.TextUtils
import com.anjun.common.base.CommonBaseApp
import com.anjun.core.tool.ToolApp

/**
 *
 * @author melle
 * @since 2024/03/25 14:51:21
 */
abstract class ApiUrl(private val releaseHostUrl:String,private val debugPort:Int) {
    val host:String
        get() {
            return if (ToolApp.debug && !TextUtils.isEmpty(CommonBaseApp.debugHost)){
                "${CommonBaseApp.debugHost}:$debugPort"
            }else{
                releaseHostUrl
            }
        }
}