package com.anjun.feature.main.provider

import android.content.Context
import android.content.Intent
import com.anjun.core.router.Router
import com.anjun.feature.main.home.HomeActivity
import com.anjun.feature.main.login.LoginActivity
import com.anjun.service.main.MainService
import com.anjun.service.main.MainServicePath


/**
 *
 * @Description
 * @Author melle
 * @CreateTime 2024/03/04 15:24:34
 */
class MainProvider:MainService{

    override fun launchLoginActivity(context: Context) {
        context.startActivity(Intent(context,LoginActivity::class.java))
    }

    override fun launchHomeActivity(context: Context) {
        context.startActivity(Intent(context,HomeActivity::class.java))
    }

    override fun init() {
        Router.register(MainServicePath.MAIN_SERVICE_PATH_CODE,this)
    }

}