package com.anjun.supervision

import android.util.Log
import kotlinx.coroutines.CoroutineExceptionHandler
import kotlin.coroutines.CoroutineContext

/**
 *
 * @Description
 * @Author melle
 * @CreateTime 2024/03/12 16:25:01
 */

const val TAG = "GlobalExceptionHandler"
class GlobalCoroutineExceptionHandler:CoroutineExceptionHandler {
    override val key = CoroutineExceptionHandler
    override fun handleException(context: CoroutineContext, exception: Throwable) {
        Log.e(TAG, "handleException:${exception} ")
    }
}
