package com.anjun.core.mvvm

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment

/**
 *
 * @Description
 * @Author melle
 * @CreateTime 2024/03/09 10:29:32
 */
abstract class BaseFragment :Fragment(){

    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        return setupContentView(inflater, container)
    }

    abstract fun setupContentView(inflater: LayoutInflater, container: ViewGroup?): View
}