package com.anjun.core.tool

import com.tencent.mmkv.MMKV

/**
 *
 * @author melle
 * @since 2024/04/02 16:01:15
 */
abstract class BaseMMKV(private val mmapID:String) {

    private val mmkv:MMKV by lazy {
        MMKV.mmkvWithID(mmapID)
    }

    fun clear() = mmkv.clearAll()

    inner class MMKVDelegate<T:Any>(key:String,value:T):MMKVReadWrite<T>(key,value){
        override fun getMMKV(): MMKV = mmkv

    }
}