package com.anjun.common.base

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel

/**
 *
 * @author melle
 * @since 2024/03/19 15:33:54
 */
class BaseScanListViewModel:ViewModel() {
    private val _listSize:MutableLiveData<Int> by lazy { MutableLiveData(0) }

    val listSize:LiveData<Int> = _listSize

    fun setListSize(size:Int) {
        _listSize.value = size
    }

}