package com.anjun.common.base.utils

import kotlin.properties.ReadOnlyProperty
import kotlin.reflect.KProperty

/**
 *
 * @author melle
 * @since 2024/03/26 10:51:41
 */
class ApiDelegate(private val apiPath:String):ReadOnlyProperty<ApiUrl,String> {
    override fun getValue(thisRef: ApiUrl, property: KProperty<*>): String {
        return "${thisRef.host}/$apiPath"
    }
}