package com.anjun.common.view.ext

import android.app.Activity
import androidx.annotation.StringRes
import com.kongzue.dialogx.dialogs.WaitDialog

/**
 *
 * @author melle
 * @since 2024/03/27 18:26:48
 */
fun Activity.showWaitDialog(message:String="") = WaitDialog.show(this,message)

fun Activity.showWaitDialog(@StringRes msgId:Int) = WaitDialog.show(this,msgId)

fun Activity.dismissWaitDialog() = WaitDialog.dismiss(this)

fun showWaitDialog(message: String = "") {
    WaitDialog.show(message)
}

fun showWaitDialog(@StringRes msgId:Int) = WaitDialog.show(msgId)

fun dismissWaitDialog() = WaitDialog.dismiss()
